#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	npth
Version		:	1.6
Release		:	14.8.0.0%{?dist}
Summary		:	the GNU Pth API and a non-preemptive threads implementation.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnupg.org/ftp/gcrypt/npth/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
This is a library to provide the GNU Pth API and thus a
non-preemptive threads implementation.

In contrast to GNU Pth is is based on the system's standard threads
implementation.  This allows the use of libraries which are not
compatible to GNU Pth.  Experience with a Windows Pth emulation
showed that this is a solid way to provide a co-routine based
framework.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}


%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB NEWS README
%{_bindir}/%{name}-config
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.{la,so*}
%{_datadir}/aclocal/%{name}.m4

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
